← OBPv7.0.0 Get AMQP Bank Broker GET /obp/v7.0.0/banks/BANK_ID/amqp-broker OBPv7.0.0-getAmqpBankBroker Roles: CanConfigureAmqpBankBroker(per bank) Bank Get the registered Open Corridor RabbitMQ broker coordinates for a bank (password omitted). Authentication is Required. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON response body fields (6) bank_id gh.29.ukhost hostport portuse_ssl use_sslusername felixsmithvirtual_host virtual_host Example success response { "bank_id": "gh.29.uk", "host": "rabbitmq.bank.example.com", "port": 5672, "virtual_host": "/bank.gh.29.uk", "username": "obp-api", "use_ssl": false } Possible errors (5) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-40054: No AMQP broker is configured for this bank. Register the bank's AMQP coordinates first.OBP-50000: Unknown Error.